﻿$ErrorActionPreference = 'Stop'

$packageName = 'WireShark'
$url32       = 'https://www.wireshark.org/download/win32/all-versions/Wireshark-win32-2.6.4.exe'
$checksum32  = 'e2a75ec989c8c9c00cd197be7f137707fbc924899fdae2e50e5515b27e7d0ed5'
$url64	     = 'https://www.wireshark.org/download/win64/all-versions/Wireshark-win64-2.6.4.exe'
$checksum64  = '3ca543a311a9ec3f9b2045768ead78af3acd19f8fa447aae9885712c5f8aaddb'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition

$packageArgs = @{
  packageName            = $packageName
  fileType               = 'EXE'
  url	                 = $url32
  checksum               = $checksum32
  checksumType           = 'sha256'
  url64                  = $url64
  checksum64             = $checksum64
  checksumType64         = 'sha256'
  silentArgs             = '/S /quicklaunchicon=no'
  validExitCodes         = @(0)
  registryUninstallerKey = $packageName
}

Install-ChocolateyPackage @packageArgs

